Skip to main content
GET
/
v1
/
phoneCalls
/
{id}
cURL
curl --request GET \
  --url https://api.aicaller.io/v1/phoneCalls/{id} \
  --header 'aicaller-api-key: <api-key>'
{
  "data": {
    "teamId": "363573667364666473667332",
    "callTemplateId": "363573667364666473667332",
    "nameOfHuman": "John",
    "toPhoneNumber": "+1234567890",
    "promptVariableValues": [
      {
        "key": "customer_name",
        "value": "John"
      }
    ],
    "resultValues": [
      {
        "columnName": "city",
        "value": "Bangalore"
      }
    ],
    "_id": "12345678901234567890",
    "fileId": "363573667364666473667332",
    "fileName": "lead_list.csv",
    "callTriggeredAt": "2023-10-12T09:07:55.387Z",
    "callStartedAt": "2023-10-12T09:08:05.387Z",
    "callEndedAt": "2023-10-12T09:09:02.387Z",
    "createdAt": "2023-10-12T09:08:00.387Z",
    "updatedAt": "2023-10-12T09:08:00.387Z",
    "phoneNumberId": "363573667364666473667332",
    "fromPhoneNumber": "+1234567890",
    "toEmailAddress": "[email protected]",
    "status": "queued",
    "telephonyProvider": "twilio",
    "record": false,
    "callDelayedUntil": "2023-10-12T09:08:00.387Z",
    "phoneCallWebhooks": [
      {
        "url": "https://hooks.abc.com/",
        "subscribedEvent": "phoneCall.completed",
        "secret": "NjUyOTgwMjkpJU0NmY25yzWkJFWDBE12"
      }
    ],
    "statusExtraInfo": {
      "statusCode": "CALL_LATER",
      "dateTime": "2024-03-11T10:00:00Z"
    },
    "fixedMeetingTime": "2024-03-11T10:00:00Z",
    "recordingUrl": "https://example.com/recording.mp3",
    "callDuration": 60,
    "callOrigin": "api",
    "customTagsHitOnCall": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aicaller.io/llms.txt

Use this file to discover all available pages before exploring further.

List of possible status and statusExtraInfo values

Please refer to this blog for list all possible values and their meaning.

Authorizations

aicaller-api-key
string
header
required

Path Parameters

id
string
required

Response

Phone call found.

data
object
required